Bug 1958231 (CVE-2021-25288) - CVE-2021-25288 python-pillow: Out-of-bounds read in J2K image reader
Summary: CVE-2021-25288 python-pillow: Out-of-bounds read in J2K image reader
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-25288
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1959683 1958232 1958233 1958234 1958235 1962531 1962533
Blocks: 1958269
TreeView+ depends on / blocked
 
Reported: 2021-05-07 13:53 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-11-09 18:25 UTC (History)
11 users (show)

Fixed In Version: python-pillow-8.2.0
Doc Type: If docs needed, set a value
Doc Text:
There is an out-of-bounds read in J2kDecode in j2ku_gray_i. For J2k images with multiple bands, it’s legal to have different widths for each band, e.g. 1 byte for L, 4 bytes for A.
Clone Of:
Environment:
Last Closed: 2021-11-09 18:25:17 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4149 0 None None None 2021-11-09 17:24:39 UTC

Description Guilherme de Almeida Suckevicz 2021-05-07 13:53:38 UTC
There is an out-of-bounds read in J2kDecode in j2ku_gray_i. For J2k images with multiple bands, it’s legal to have different widths for each band, e.g. 1 byte for L, 4 bytes for A. This dates to Pillow 2.4.0.

References:
https://pillow.readthedocs.io/en/stable/releasenotes/8.2.0.html#security
https://github.com/python-pillow/Pillow/pull/5377

Comment 1 Guilherme de Almeida Suckevicz 2021-05-07 13:54:19 UTC
Created mingw-python-pillow tracking bugs for this issue:

Affects: fedora-all [bug 1958235]


Created python-pillow tracking bugs for this issue:

Affects: fedora-all [bug 1958232]


Created python2-pillow tracking bugs for this issue:

Affects: fedora-all [bug 1958233]


Created python3-pillow tracking bugs for this issue:

Affects: epel-7 [bug 1958234]

Comment 4 Sam Fowler 2021-05-11 00:27:38 UTC
Mitigation:

To mitigate this feature on Red Hat Quay keep the invoice generation feature disabled, as it is by default.

Comment 9 errata-xmlrpc 2021-11-09 17:24:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4149 https://access.redhat.com/errata/RHSA-2021:4149

Comment 10 Product Security DevOps Team 2021-11-09 18:25:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-25288


Note You need to log in before you can comment on or make changes to this bug.